GlueGen: com.jogamp.common.util.Bitstream< T >.ByteArrayStream Class Reference

GlueGen v2.6.0-rc-20250712 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.common.util.Bitstream< T >.ByteArrayStream Class Reference

Specific `byte stream`. More...

Inheritance diagram for com.jogamp.common.util.Bitstream< T >.ByteArrayStream:
Collaboration diagram for com.jogamp.common.util.Bitstream< T >.ByteArrayStream:

## Public Member Functions

| ByteArrayStream (final byte[] stream)
void | setStream (final byte[] stream)
byte[] | getStream ()
void | close ()
void | flush ()
boolean | canInput ()
boolean | canOutput ()
long | position ()
long | position (final long newPosition) throws UnsupportedOperationException, IllegalArgumentException
long | skip (final long n)
void | mark (final int readLimit)
void | reset () throws IllegalStateException
int | read ()
int | write (final byte val)
Public Member Functions inherited from com.jogamp.common.util.Bitstream< T >.ByteStream< byte[]>
void | setStream (final T stream)
| Sets the underlying stream, without `close()`ing the previous one. More...
T | getStream ()
| Returns the underlying stream. More...
void | close () throws IOException
| Closing the underlying stream, implies `flush()`. More...
void | flush () throws IOException
| Synchronizes all underlying `output stream` operations, or do nothing. More...
boolean | canInput ()
| Return true if stream can handle input, i.e. More...
boolean | canOutput ()
| Return true if stream can handle output, i.e. More...
long | position ()
| Returns the byte position in the stream. More...
long | position (long newPosition) throws UnsupportedOperationException, IllegalArgumentException
| Sets this stream's position. More...
long | skip (final long n) throws IOException
| It is implementation dependent, whether backward skip giving a negative number is supported or not. More...
void | mark (final int readLimit) throws UnsupportedOperationException
| Set `markpos` to current position, allowing the stream to be `reset()`. More...
void | reset () throws UnsupportedOperationException, IllegalStateException, IOException
| Reset stream position to markpos as set via `mark(int)`. More...
int | read () throws UnsupportedOperationException, IOException
| Reads one byte from the stream. More...
int | write (final byte val) throws UnsupportedOperationException, IOException
| Writes one byte, to the stream. More...

## Detailed Description

Specific `byte stream`.

Can handle `input` and `output` operations.

Definition at line 171 of file Bitstream.java.

## Constructor & Destructor Documentation

## ◆ ByteArrayStream()

com.jogamp.common.util.Bitstream< T >.ByteArrayStream.ByteArrayStream | ( | final byte[] | stream | ) |

Definition at line 176 of file Bitstream.java.

Here is the call graph for this function:

## Member Function Documentation

## ◆ canInput()

boolean com.jogamp.common.util.Bitstream< T >.ByteArrayStream.canInput | ( |  | ) |

Definition at line 200 of file Bitstream.java.

## ◆ canOutput()

boolean com.jogamp.common.util.Bitstream< T >.ByteArrayStream.canOutput | ( |  | ) |

Definition at line 203 of file Bitstream.java.

## ◆ close()

void com.jogamp.common.util.Bitstream< T >.ByteArrayStream.close | ( |  | ) |

Definition at line 191 of file Bitstream.java.

## ◆ flush()

void com.jogamp.common.util.Bitstream< T >.ByteArrayStream.flush | ( |  | ) |

Definition at line 195 of file Bitstream.java.

## ◆ getStream()

byte[] com.jogamp.common.util.Bitstream< T >.ByteArrayStream.getStream | ( |  | ) |

Definition at line 188 of file Bitstream.java.

## ◆ mark()

void com.jogamp.common.util.Bitstream< T >.ByteArrayStream.mark | ( | final int | readLimit | ) |

Definition at line 235 of file Bitstream.java.

## ◆ position() [1/2]

long com.jogamp.common.util.Bitstream< T >.ByteArrayStream.position | ( |  | ) |

Definition at line 206 of file Bitstream.java.

## ◆ position() [2/2]

long com.jogamp.common.util.Bitstream< T >.ByteArrayStream.position | ( | final long | newPosition | ) | throws UnsupportedOperationException, IllegalArgumentException

Definition at line 209 of file Bitstream.java.

## ◆ read()

int com.jogamp.common.util.Bitstream< T >.ByteArrayStream.read | ( |  | ) |

Definition at line 249 of file Bitstream.java.

Here is the call graph for this function:

## ◆ reset()

void com.jogamp.common.util.Bitstream< T >.ByteArrayStream.reset | ( |  | ) | throws IllegalStateException

Definition at line 240 of file Bitstream.java.

## ◆ setStream()

void com.jogamp.common.util.Bitstream< T >.ByteArrayStream.setStream | ( | final byte[] | stream | ) |

Definition at line 181 of file Bitstream.java.

## ◆ skip()

long com.jogamp.common.util.Bitstream< T >.ByteArrayStream.skip | ( | final long | n | ) |

Definition at line 221 of file Bitstream.java.

Here is the call graph for this function:

## ◆ write()

int com.jogamp.common.util.Bitstream< T >.ByteArrayStream.write | ( | final byte | val | ) |

Definition at line 267 of file Bitstream.java.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/util/Bitstream.java